Удалён устаревший emul-linux-x86-bjdeps

atratsevskiy
Alexander Tratsevskiy 9 years ago
parent 3313572e62
commit 828fa008c0

@ -1 +0,0 @@
DIST popt-1.13.tar.gz 682438 SHA256 722b939b14e8b510bbb24e3109a075c7d86b33bec05cb583e76769df9ef2661f SHA512 0c8c321722792b35cc1b503163dcd655420469e564c0024c15d61d39687682b297ac05a0cdd4f2ac681f7c888638094e11976891724c41c7a0550a935916bced WHIRLPOOL 126c7fa896df6e763e75e3bb1b02c09cbfae022730dd28291da96c23ae4481d31c1ff6b259300276a55073539735b2f962db3cb1e1dc9a0460fb97fb1984c79e

@ -1,48 +0,0 @@
# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
inherit libtool eutils flag-o-matic autotools multilib
DESCRIPTION="32bit nls-disabled dev-libs/popt-1.13"
HOMEPAGE="http://rpm5.org/"
SRC_URI="http://rpm5.org/files/popt/popt-1.13.tar.gz"
RESTRICT="confcache"
WANT_AUTOMAKE="1.6"
LICENSE="as-is"
SLOT="0"
KEYWORDS="~amd64"
DEPEND=""
RDEPEND=""
CFLAGS="${CFLAGS} -m32"
pkg_setup() {
export ABI=x86
}
src_unpack() {
unpack ${A}
cd ${WORKDIR}
mkdir ${P} # this way portage won't complain about missing directories
cd "${WORKDIR}/popt-1.13" || die
epatch "${FILESDIR}"/popt-1.12-scrub-lame-gettext.patch
}
src_compile() {
cd "${WORKDIR}/popt-1.13" || die
econf "--libdir=/usr/lib32" || die "configure failed"
emake || die "emake failed"
}
src_install() {
cd "${WORKDIR}/popt-1.13" || die
emake install DESTDIR="${D}" || die
# Don't install anything except the library itself
rm -Rv ${D}/usr/share || die
rm -Rv ${D}/usr/include || die
}

@ -1,27 +0,0 @@
this serves no real purpose
http://bugs.gentoo.org/161988
--- configure
+++ configure
@@ -20981,20 +20981,6 @@
fi
-if test ! -f ../rpm.c
-then
- { echo "$as_me:$LINENO: checking for GNU xgettext" >&5
-echo $ECHO_N "checking for GNU xgettext... $ECHO_C" >&6; }
- xgettext --version 2>&1 | grep 'GNU gettext' >/dev/null 2>&1 || { { echo "$as_me:$LINENO: error:
- *** GNU gettext is required. The latest version
- *** is always available from ftp://ftp.gnu.org/gnu/gettext/." >&5
-echo "$as_me: error:
- *** GNU gettext is required. The latest version
- *** is always available from ftp://ftp.gnu.org/gnu/gettext/." >&2;}
- { (exit 1); exit 1; }; }
- { echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6; }
-fi
{ echo "$as_me:$LINENO: checking for setreuid" >&5
echo $ECHO_N "checking for setreuid... $ECHO_C" >&6; }
Loading…
Cancel
Save